<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2009 - DIGITEO - Allan CORNET
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="SciIntegerArray">
  <info>
    <pubdate>$LastChangedDate: 2006-08-03 16:16:36 +0200 (jeu., 03 août 2006)$</pubdate>
  </info>
  <refnamediv>
    <refname>javasci.SciIntegerArray</refname>
    <refpurpose>Class to use int matrix in
  Scilab.</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    
    <para>Method Summary :</para>
    <para>
      <literal>public SciIntegerArray(String name,SciIntegerArray Obj)</literal>
    </para>
    <para>
      <literal>public SciIntegerArray(String name,int r,int c)</literal>
    </para>
    <para><literal>public SciIntegerArray(String name,int r,int c,int [] x
    )</literal>Constructor</para>
    <para><literal>public int getNumbersOfRows()</literal>Get number of rows</para>
    <para><literal>public int getNumbersOfCols() </literal>Get number of colons</para>
    <para><literal>public String getName()</literal>Get Name of scilab object</para>
    <para><literal>public int[] getData() </literal>Get Value of scilab
    object</para>
    <para><literal>public void disp() </literal>disp object</para>
    <para><literal>public boolean Job(String job)</literal>(deprecated see Scilab.Exec) Execute a job in
    scilab</para>
    <para><literal>public void Get()</literal>Get in java object , value of scilab
    object</para>
    <para><literal>public void Send()</literal>Send to scilab object , value of java
    object</para>
    <para><literal>public int GetElement(int indr, int indc)</literal>Get a
    specific element of scilab object</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
// See SCI/modules/Javasci/examples directory
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="javasci.Scilab">javasci.Scilab</link>
      </member>
      <member><link linkend="compile_and_run_javasci">Compile and run with Javasci</link></member>
      <member>
        <link linkend="SciInteger">SciInteger</link>
      </member>
      <member>
        <link linkend="SciString">SciString</link>
      </member>
      <member>
        <link linkend="SciStringArray">SciStringArray</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>A.C</para>
  </refsection>
</refentry>
